Crystal Space: iInstancingMeshCommonState Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iInstancingMeshCommonState Struct Reference
[Mesh plugins]

The common interface between instancing meshes and factories. More...

`#include <imesh/instmesh.h>`

Inheritance diagram for iInstancingMeshCommonState:

[legend]
List of all members.

## Public Member Functions
virtual bool | IsLighting () const =0
| Is lighting enabled.
virtual bool | IsManualColors () const =0
| Are manual colors enabled?
virtual bool | IsShadowCasting () const =0
| Is shadow casting enabled?
virtual bool | IsShadowReceiving () const =0
| Is shadow receiving enabled?
virtual void | SetLighting (bool l)=0
| Set lighting.
virtual void | SetManualColors (bool m)=0
| Set manual colors.
virtual void | SetShadowCasting (bool m)=0
| Set shadowing.
virtual void | SetShadowReceiving (bool m)=0
| Set shadow receiving on.

## Detailed Description

The common interface between instancing meshes and factories.

This interface is usually not used alone. Generally one uses iInstancingMeshState or iInstancingFactoryState.

Definition at line 48 of file instmesh.h.

## Member Function Documentation

virtual bool iInstancingMeshCommonState::IsLighting | ( |  | ) | const`[pure virtual]`

Is lighting enabled.

virtual bool iInstancingMeshCommonState::IsManualColors | ( |  | ) | const`[pure virtual]`

Are manual colors enabled?

virtual bool iInstancingMeshCommonState::IsShadowCasting | ( |  | ) | const`[pure virtual]`

Is shadow casting enabled?

virtual bool iInstancingMeshCommonState::IsShadowReceiving | ( |  | ) | const`[pure virtual]`

Is shadow receiving enabled?

virtual void iInstancingMeshCommonState::SetLighting | ( | bool | l | ) | `[pure virtual]`

Set lighting.

virtual void iInstancingMeshCommonState::SetManualColors | ( | bool | m | ) | `[pure virtual]`

Set manual colors.

If this is set then lighting will be ignored and so will the color set with SetColor(). In this case you can manipulate the color array manually by calling GetColors().

virtual void iInstancingMeshCommonState::SetShadowCasting | ( | bool | m | ) | `[pure virtual]`

Set shadowing.

By default instancing objects will cast shadows (during the static lighting phase). You can disable this here.

virtual void iInstancingMeshCommonState::SetShadowReceiving | ( | bool | m | ) | `[pure virtual]`

Set shadow receiving on.

By default this is disabled in which case the instancing object will receive all lighting information dynamically but without shadows. If this is enabled then the lighting system resembles more the lighting system with things which static and pseudo-dynamic lighting. In this case there will be shadows on the instancing instance.

The documentation for this struct was generated from the following file:

- imesh/instmesh.h